org.apache.solr.common

## Class LinkedHashMapWriter<V>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,V>
    - - java.util.LinkedHashMap<String,V>
      - - org.apache.solr.common.LinkedHashMapWriter<V>

All Implemented Interfaces:
  Serializable, Cloneable, Map<String,V>, MapSerializable, MapWriter, NavigableObject

    public class LinkedHashMapWriter<V>
    extends LinkedHashMap<String,V>
    implements MapWriter

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Constructor Summary

Constructors
Constructor and Description
`LinkedHashMapWriter()`
`LinkedHashMapWriter(int initialCapacity)`
`LinkedHashMapWriter(Map<? extends String,? extends V> m)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `_get(List<String> path, Object def)` Get a child object value using json path
`Object` `_get(String path, Object def)` Get a child object value using json path.
`String` `toString()`
`void` `writeMap(MapWriter.EntryWriter ew)`

### Methods inherited from class java.util.LinkedHashMap

`clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, removeEldestEntry, replaceAll, values`

### Methods inherited from class java.util.HashMap

`clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _getStr, _getStr`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

### Constructor Detail

#### LinkedHashMapWriter

    public LinkedHashMapWriter(int initialCapacity)

#### LinkedHashMapWriter

    public LinkedHashMapWriter()

#### LinkedHashMapWriter

    public LinkedHashMapWriter(Map<? extends String,? extends V> m)

### Method Detail

#### writeMap

    public void writeMap(MapWriter.EntryWriter ew)
                  throws IOException

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`

#### _get

    public Object _get(String path,
                       Object def)

Description copied from interface: `NavigableObject`
Get a child object value using json path. This usually ends up in String split operations use a list of strings where performance is important

Specified by:
  `_get` in interface `NavigableObject`
Parameters:
  `path` - the full path to that object such as a/b/c[4]/d etc
  `def` - the default
Returns:
  the found value or default

#### _get

    public Object _get(List<String> path,
                       Object def)

Description copied from interface: `NavigableObject`
Get a child object value using json path

Specified by:
  `_get` in interface `NavigableObject`
Parameters:
  `path` - the full path to that object such as ["a","b","c[4]","d"] etc
  `def` - the default
Returns:
  the found value or default

#### toString

    public String toString()

Overrides:
  `toString` in class `AbstractMap<String,V>`